找不到指定模块(php_domxml.dll)怎么办?

牛牛牛牛牛牛牛牛88 ceo  2010-07-14 10:43:06
php版本5.0.2,php.ini设置的路径没问题,system32下也已复制php_domxml.dll,机器重起过N遍,问题依然存在,找不到指定模块!怎么办呢?
...全文
168 点赞 收藏 13
写回复
13 条回复
切换为时间正序
请发表友善的回复…
发表回复
Gdj 2010-07-14
另外这个dll不应当放在system32目录里,放在php目录里的ext下。
回复
我看了下,好象版本不对。找不到适合的版本呢。
回复
Gdj 2010-07-14
你现在的情况是?
1.apache无法启动,报找不到模块。这种情况去重新下载一个dll,你的dll版本不对。
2.apache正常启动,但无模块。这种情况就是你搞错了php.ini的位置。
回复
[Quote=引用 9 楼 gdj 的回复:]
而且window版本的php内置了对xml的支持无需配置。你是想用哪些功能?
[/Quote]

最简单的都用不了!

<?php
$xmlDoc = new DOMDocument();
$xmlDoc->load("test.xml");
print $xmlDoc->saveXML();
?>
回复
Gdj 2010-07-14
而且window版本的php内置了对xml的支持无需配置。你是想用哪些功能?
回复
你们所说的问题都不存在。
回复
Gdj 2010-07-14
1.你看phpinfo里,写的php.ini的位置,然后改那个位置的php.ini。
2.改完后要重启apache
回复
[Quote=引用 4 楼 klinghr 的回复:]
有可能你修改的 php.ini 文件不是 apache 加载的
[/Quote]

绝对没问题
回复
[Quote=引用 1 楼 amani11 的回复:]
确认

extension=php_domxml.dll 分号去了么
[/Quote]

分号去了~
回复
klinghr 2010-07-14
有可能你修改的 php.ini 文件不是 apache 加载的
回复
kyzy_yy_pm 2010-07-14
[Quote=引用 1 楼 amani11 的回复:]
extension=php_domxml.dll 分号去了么
[/Quote]+
回复
phpinfo()看了下。

DOM/XML enabled
DOM/XML API Version 20031129
libxml Version 2.6.11
HTML Support enabled
XPath Support enabled
XPointer Support enabled
Schema Support enabled
RelaxNG Support enabled

为什么还会找不到模块?
回复
amani11 2010-07-14
确认

extension=php_domxml.dll 分号去了么
回复
发动态
发帖子
基础编程
创建于2007-09-28

2.1w+

社区成员

从PHP安装配置,PHP入门,PHP基础到PHP应用
申请成为版主
社区公告
暂无公告